Estou enfrentando um problema no sistema e não consigo resolver

1. Estou enfrentando um problema no sistema e não consigo resolver

paulin
paulin

(usa Debian)

Enviado em 03/03/2021 - 15:21h

não consigo mais usar o sudo apt-get update nem o sudo apt-get install no meu linux debian 7 wheezy
nas prints que mandei estão os problemas que estou enfrentando

quando dou sudo apt-get update aparece isso:
Failed to exec method /usr/lib/apt/methods/https
Failed to exec method /usr/lib/apt/methods/https
E: Method https has died unexpectedly!
E: Sub-processo https retornou um código de erro (100)
E: Método /usr/lib/apt/methods/https não iniciou corretamente
E: O driver do método /usr/lib/apt/methods/https// não pode ser encontrado.
E: Method https has died unexpectedly!
E: Sub-processo https retornou um código de erro (100)
E: Método /usr/lib/apt/methods/https não iniciou corretamente


e quando dou sudo apt-get install aparece isso:
Lendo listas de pacotes... Pronto
E: O valor 'etch' é inválido para APT::Default-Release porque tal lançamento não está disponível nas fontes


e eu não consigo mais acessar o Synaptic (gerenciador de programas) porque da esse erro que está na print

POR FAVOR me ajudem , estou a 1 ano tentando resolver e não consigo , estou desesperado


  


2. Re: Estou enfrentando um problema no sistema e não consigo resolver

Ruan
ru4n

(usa Debian)

Enviado em 03/03/2021 - 16:26h

O wheezy já não tem mais suporte, e os repositórios foram desativados. O ideal é instalar a versão mais recente estável, o buster.



3. Re: Estou enfrentando um problema no sistema e não consigo resolver

paulin
paulin

(usa Debian)

Enviado em 05/03/2021 - 20:55h


ru4n escreveu:

O wheezy já não tem mais suporte, e os repositórios foram desativados. O ideal é instalar a versão mais recente estável, o buster.


E por acaso tu sabe como instalar? Se souber pode me dizer? Pq por exemplo não consigo usar esses comandos pra baixar alguma coisa


4. Re: Estou enfrentando um problema no sistema e não consigo resolver

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 06/03/2021 - 10:00h

O repositório estar desativado significa que o controle automático de dependências não vai funcionar mais. Porém o controle manual ainda funciona. Vc pode baixar o arquivo .deb manualmente e instalar via dpkg -i seu_pacote.deb
E usar a suíte dpkg p resolver as dependências. Será um ótimo exercício para conhecer o funcionamento do sistema.


5. Re: Estou enfrentando um problema no sistema e não consigo resolver

Ryuk Shinigami
Ryuk

(usa Nenhuma)

Enviado em 06/03/2021 - 10:18h

Veja se isso resolve:
https://www.vivaolinux.com.br/dica/Debian-Squeeze-erro-no-APT-Failed-to-exec-method-usr-lib-apt-meth...

Se não, instale esse pacote, apt-transport-https:
https://packages.debian.org/search?keywords=apt-transport-https

Independente disso, os repositórios (como já dito) não devem mais está funcionais. Sua versão do Debian é muito antiga, atualize!!!

Ou mude os repositórios para "http://archive.debian.org/debian/":
https://www.howtoforge.com/using-old-debian-versions-in-your-sources.list
https://www.debian.org/distrib/archive



6. Re: Estou enfrentando um problema no sistema e não consigo resolver

Ruan
ru4n

(usa Debian)

Enviado em 06/03/2021 - 10:29h


paulin escreveu:


ru4n escreveu:

O wheezy já não tem mais suporte, e os repositórios foram desativados. O ideal é instalar a versão mais recente estável, o buster.


E por acaso tu sabe como instalar? Se souber pode me dizer? Pq por exemplo não consigo usar esses comandos pra baixar alguma coisa


Praticamente da mesma forma que vc instalou o Wheezy na sua máquina.

- Baixar a iso do debian 10 (buster) no site oficial do Debian;
- Gravar a iso em um pendrive pelo comando dd ou outro similar;
- Colocar o pendrive no pc/notebook;
- Reboot.


7. Re: Estou enfrentando um problema no sistema e não consigo resolver

Lian Kl
lianKL

(usa Debian)

Enviado em 06/03/2021 - 10:34h

Sua versão perdeu suporte em 2018, então faça um backup de seus arquivos e instale uma versão atualizada do Debian.
Caso insista em usar o Wheezy, vai ter que instalar os programas manualmente, pelo source code ou binário, e em ambos os casos não haverá um gerenciador para resolver os problemas de dependências que certamente terá, isso significa que toda vez que quiser instalar um programa, e esse programa depender de outras libraries, você vai ter que caçar essas libs na internet, baixar e instalar manualmente, é muito trabalho a toa.

Então formate.

__________________________________________________________________

"The truly sublime is absolute nothingness" - Philipp Mainländer


8. Re: Estou enfrentando um problema no sistema e não consigo resolver

paulin
paulin

(usa Debian)

Enviado em 06/03/2021 - 13:39h


ru4n escreveu:


paulin escreveu:


ru4n escreveu:

O wheezy já não tem mais suporte, e os repositórios foram desativados. O ideal é instalar a versão mais recente estável, o buster.


E por acaso tu sabe como instalar? Se souber pode me dizer? Pq por exemplo não consigo usar esses comandos pra baixar alguma coisa


Praticamente da mesma forma que vc instalou o Wheezy na sua máquina.

- Baixar a iso do debian 10 (buster) no site oficial do Debian;
- Gravar a iso em um pendrive pelo comando dd ou outro similar;
- Colocar o pendrive no pc/notebook;
- Reboot.


Já veio instalado na máquina , mas vou tentar fazer oq você disse , pode explicar direitinho como fazer um Pendrive Bootavel?


9. Re: Estou enfrentando um problema no sistema e não consigo resolver

Marcelo Oliver
msoliver

(usa Debian)

Enviado em 06/03/2021 - 20:25h

Boa noite Paulin.
Para gerar o pendrive bootável, uso o Rufus (no windows....),
É bastante prático e fácil de usar....
https://rufus.ie/ 

---------------------------------------------------------------------------------
Sugiro o Q4OS (baseado no Debian 10.8), bem leve e funcional.
Opções de download:
Q4OS Centaurus, Plasma, live - 64bit / x64 ... 898 MBytes ... setup guide #PC mais "parrudo", live , com opção de instalar
Q4OS Centaurus, Trinity, live - 64bit / x64 ... 698 MBytes ... setup guide #PC mais modesto (Uso essa...., ), com opção de instalar
Q4OS Centaurus, Trinity, install-cd - 64bit / x64 ... 464 MBytes ... setup guide #Isntalador, não é live
Q4OS Centaurus, Trinity, install-cd - 32bit / i386 ... 427 MBytes ... setup guide #Instalador, não é live.

Debian:
http://debian.c3sl.ufpr.br/debian-cd/10.8.0-live/amd64/iso-hybrid/


______________________________________________________________________
Importante: lynx --dump goo.gl/a9KeFc|sed -nr '/^[ ]+Se/,/dou.$/p'
Att.: Marcelo Oliver
______________________________________________________________________
Nota de esclarecimento:
O comando: lynx --dump goo.gl/a9KeFc|sed -nr '/^[ ]+Se/,/dou.$/p',
faz parte da minha assinatura.
O qual, "filtra" a página: "https://www.vivaolinux.com.br/termos-de-uso/",
Mostrando o seguinte:

Se você sanou sua dúvida ou resolveu um problema a partir de um
tópico criado, é extremamente recomendável que acesse o tópico e
marque-o como "RESOLVIDO". E mais recomendável ainda que você eleja
como melhor resposta a que mais lhe ajudou.


______________________________________________________________________



10. Re: Estou enfrentando um problema no sistema e não consigo resolver

paulin
paulin

(usa Debian)

Enviado em 10/03/2021 - 12:34h


msoliver escreveu:

Boa noite Paulin.
Para gerar o pendrive bootável, uso o Rufus (no windows....),
É bastante prático e fácil de usar....
https://rufus.ie/ 

---------------------------------------------------------------------------------
Sugiro o Q4OS (baseado no Debian 10.8), bem leve e funcional.
Opções de download:
Q4OS Centaurus, Plasma, live - 64bit / x64 ... 898 MBytes ... setup guide #PC mais "parrudo", live , com opção de instalar
Q4OS Centaurus, Trinity, live - 64bit / x64 ... 698 MBytes ... setup guide #PC mais modesto (Uso essa...., ), com opção de instalar
Q4OS Centaurus, Trinity, install-cd - 64bit / x64 ... 464 MBytes ... setup guide #Isntalador, não é live
Q4OS Centaurus, Trinity, install-cd - 32bit / i386 ... 427 MBytes ... setup guide #Instalador, não é live.

Debian:
http://debian.c3sl.ufpr.br/debian-cd/10.8.0-live/amd64/iso-hybrid/


______________________________________________________________________
Importante: lynx --dump goo.gl/a9KeFc|sed -nr '/^[ ]+Se/,/dou.$/p'
Att.: Marcelo Oliver
______________________________________________________________________
Nota de esclarecimento:
O comando: lynx --dump goo.gl/a9KeFc|sed -nr '/^[ ]+Se/,/dou.$/p',
faz parte da minha assinatura.
O qual, "filtra" a página: "https://www.vivaolinux.com.br/termos-de-uso/",
Mostrando o seguinte:

Se você sanou sua dúvida ou resolveu um problema a partir de um
tópico criado, é extremamente recomendável que acesse o tópico e
marque-o como "RESOLVIDO". E mais recomendável ainda que você eleja
como melhor resposta a que mais lhe ajudou.


______________________________________________________________________


Muito obrigado mano, quando tiver tempo vou tentar instalar no Debian 10, Abração


11. Re: Estou enfrentando um problema no sistema e não consigo resolver

Marcelo Oliver
msoliver

(usa Debian)

Enviado em 10/03/2021 - 16:23h


paulin escreveu:


msoliver escreveu:

Boa noite Paulin.
Para gerar o pendrive bootável, uso o Rufus (no windows....),
É bastante prático e fácil de usar....
https://rufus.ie/ 

---------------------------------------------------------------------------------
Sugiro o Q4OS (baseado no Debian 10.8), bem leve e funcional.
Opções de download:
Q4OS Centaurus, Plasma, live - 64bit / x64 ... 898 MBytes ... setup guide #PC mais "parrudo", live , com opção de instalar
Q4OS Centaurus, Trinity, live - 64bit / x64 ... 698 MBytes ... setup guide #PC mais modesto (Uso essa...., ), com opção de instalar
Q4OS Centaurus, Trinity, install-cd - 64bit / x64 ... 464 MBytes ... setup guide #Isntalador, não é live
Q4OS Centaurus, Trinity, install-cd - 32bit / i386 ... 427 MBytes ... setup guide #Instalador, não é live.

Debian:
http://debian.c3sl.ufpr.br/debian-cd/10.8.0-live/amd64/iso-hybrid/




Muito obrigado mano, quando tiver tempo vou tentar instalar no Debian 10, Abração

Uma outra opção, é o "ventoy", roda no linux.....
Muito prático, testei ontem e gostei.
https://www.ventoy.net/en/download.html
Baixe o: ventoy-1.0.37-linux.tar.gz
Descompacte:
tar xf Downloads/ventoy-1.0.37-linux.tar.gz #Supondo que tenha baixado na pasta Download
Entre na pasta criada:
cd ventoy-1.0.37/
Execute o script "VentoyWeb.sh"
sudo sh VentoyWeb.sh
Agora é só acessar pelo navegador.....
______________________________________________________________________
Importante: lynx --dump goo.gl/a9KeFc|sed -nr '/^[ ]+Se/,/dou.$/p'
Att.: Marcelo Oliver
______________________________________________________________________








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts